<template>
  <v-btn color="primary" outlined @click="handleEntityManagement">
    Material De Apoio
    <v-icon right>mdi-bookshelf</v-icon>
  </v-btn>
</template>

<script>
export default {
  name: 'SupportResourceButton',
  components: {},
  data: () => ({}),
  computed: {
    activeEntityUrl() {
      return '/entity/' + this.$route.params.entityName
    },
  },
  methods: {
    handleEntityManagement() {
      this.$router.push(`${this.activeEntityUrl}/supportResource`).catch((err) => {})
    },
  },
}
</script>
